Subject: Re: bug#28025: Daemon/server passes string incorrectly to/from Systemd

From: Glenn Morris <[email-masked]>
Date: Wed, 09 Aug 2017 16:00:05 -0400

Arthur Miller wrote:

> I have checked that all paths are setup correctly. Emacs finds
> dictionaries (DICPATH setts correctly in systemd service file),
> and it also finds spellchecking program (/usr/bin/hunspell).
>
> I believe it might be something with passing strings to and from
> d-bus, but I don't have experience with d-bus at all so I really
> don't know.

I don't see what D-Bus would have to do with this.
I imagine that the environment of Emacs when started from systemd is
different from when you start it normally, and something is missing that
means hunspell can't find its dictionaries.

You might compare the value of 'process-environment' in the two Emacs to
see what differs. Or M-x ispell-buffer-with-debug might provide more
information. Or edebug ispell-find-hunspell-dictionaries and step
through it to see where things go wrong.